package com.ruoyi.ibs.draw.service;

import com.ruoyi.ibs.draw.domain.dto.grid.CustCountDTO;
import com.ruoyi.ibs.draw.domain.dto.grid.DrawGridCustListDTO;
import com.ruoyi.ibs.draw.domain.dto.grid.UnbindUserDTO;
import com.ruoyi.ibs.draw.domain.entity.DrawShapeCust;
import com.ruoyi.ibs.draw.domain.vo.DrawGridCustVO;

import java.util.List;

/**
 * @Author 吴凯程
 * @Date 2024/12/26
 **/
public interface DrawGridCustService {
    void updateCustListByShape(Long shapeId);

    void updateShapeList();

    CustCountDTO countCustByShape(Long shapeId);

    List<String> getCodeByWkt(String wkt);

    List<DrawShapeCust> getCustListByShape(Long shapeId,String custType);

    List<DrawGridCustVO> getCustListByGrid(DrawGridCustListDTO drawGridCustListDTO);

    String unbindCustManager(UnbindUserDTO unbindUserDTO);
}
